/* stylelint-disable scss/at-extend-no-missing-placeholder */

.btn-secondary {
	border-color: tint-color($blue, 65%);

	&:hover {
		border-color: tint-color($blue, 65%);
	}
}

.btn-go {
	@extend .btn-primary;
}

.btn-primary,
.btn-go {
	color: $white;

	&:hover {
		color: $white;
	}
}

.btn-add,
.btn-save {
	@extend .btn-success;
}

.btn-edit {
	@extend .btn-secondary;
}

.btn-archive {
	@extend .btn-secondary;

	&:hover {
		@extend .btn-warning;
		border-color: $warning;
	}
}

.btn-cancel,
.btn-delete,
.btn-remove {
	@extend .btn-secondary;

	&:hover {
		@extend .btn-danger;
		border-color: $danger;
		color: $black;
	}
}

$external-servies: (
	google: #4285f4,
	facebook: #3b5998,
	github: #333,
);

@each $color, $value in $external-servies {
	.btn-#{$color} {
		@include button-variant($value, $value, $white);
		font-weight: bold;

		&[disabled] {
			background-color: $color;
			color: $white;
		}
	}
}
